## yaml-cpp 0.5.1

=== CMakeLists.txt ===
###
### CMake settings
###
## Due to Mac OSX we need to keep compatibility with CMake 2.6
# see http://www.cmake.org/Wiki/CMake_Policies
cmake_minimum_required(VERSION 2.6)
# see http://www.cmake.org/cmake/help/cmake-2-8-docs.html#policy:CMP0012
if(POLICY CMP0012)
	cmake_policy(SET CMP0012 OLD)
endif()
# see http://www.cmake.org/cmake/help/cmake-2-8-docs.html#policy:CMP0015
if(POLICY CMP0015)
	cmake_policy(SET CMP0015 OLD)
endif()

include(CheckCXXCompilerFlag)


###
### Project settings
###
project(YAML_CPP)

set(YAML_CPP_VERSION_MAJOR "0")
set(YAML_CPP_VERSION_MINOR "5")
set(YAML_CPP_VERSION_PATCH "1")
set(YAML_CPP_VERSION "${YAML_CPP_VERSION_MAJOR}.${YAML_CPP_VERSION_MINOR}.${YAML_CPP_VERSION_PATCH}")

enable_testing()


###
### Project options
###
## Project stuff
option(YAML_CPP_BUILD_TOOLS "Enable testing and parse tools" ON)
option(YAML_CPP_BUILD_CONTRIB "Enable contrib stuff in library" ON)

## Build options
# --> General
# see http://www.cmake.org/cmake/help/cmake2.6docs.html#variable:BUILD_SHARED_LIBS
#     http://www.cmake.org/cmake/help/cmake2.6docs.html#command:add_library
option(BUILD_SHARED_LIBS "Build Shared Libraries" OFF)

# --> Apple
option(APPLE_UNIVERSAL_BIN "Apple: Build universal binary" OFF)

# --> Microsoft Visual C++
# see http://msdn.microsoft.com/en-us/library/aa278396(v=VS.60).aspx
#     http://msdn.microsoft.com/en-us/library/2kzt1wy3(v=VS.71).aspx
option(MSVC_SHARED_RT "MSVC: Build with shared runtime libs (/MD)" ON)
option(MSVC_STHREADED_RT "MSVC: Build with single-threaded static runtime libs (/ML until VS .NET 2003)" OFF)

###
### Sources, headers, directories and libs
###
set(header_directory "include/yaml-cpp/")

file(GLOB sources "src/[a-zA-Z]*.cpp")
file(GLOB_RECURSE public_headers "include/yaml-cpp/[a-zA-Z]*.h")
file(GLOB private_headers "src/[a-zA-Z]*.h")

if(YAML_CPP_BUILD_CONTRIB)
	file(GLOB contrib_sources "src/contrib/[a-zA-Z]*.cpp")
	file(GLOB contrib_public_headers "include/yaml-cpp/contrib/[a-zA-Z]*.h")
	file(GLOB contrib_private_headers "src/contrib/[a-zA-Z]*.h")
else()
	add_definitions(-DYAML_CPP_NO_CONTRIB)
endif()

if(VERBOSE)
	message(STATUS "sources: ${sources}")
	message(STATUS "public_headers: ${public_headers}")
	message(STATUS "private_headers: ${private_headers}")
	message(STATUS "contrib_sources: ${contrib_sources}")
	message(STATUS "contrib_public_headers: ${contrib_public_headers}")
	message(STATUS "contrib_private_headers: ${contrib_private_headers}")
endif()

include_directories(${YAML_CPP_SOURCE_DIR}/src)
include_directories(${YAML_CPP_SOURCE_DIR}/include)

find_package(Boost REQUIRED)
include_directories(${Boost_INCLUDE_DIRS})


###
### General compilation settings
###
if(BUILD_SHARED_LIBS)
	set(LABEL_SUFFIX "shared")
else()
	set(LABEL_SUFFIX "static")
endif()

if(APPLE)
	if(APPLE_UNIVERSAL_BIN)
		set(CMAKE_OSX_ARCHITECTURES ppc;i386)
	endif()
endif()

if(IPHONE)
	set(CMAKE_OSX_SYSROOT "iphoneos4.2")
	set(CMAKE_OSX_ARCHITECTURES "armv6;armv7")
endif()

if(WIN32)
	if(BUILD_SHARED_LIBS)
		add_definitions(-D${PROJECT_NAME}_DLL)	# use or build Windows DLL
	endif()
	if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
		set(CMAKE_INSTALL_PREFIX "C:/")
	endif()
endif()

# GCC specialities
if(CMAKE_COMPILER_IS_GNUCXX)
	### General stuff
	if(WIN32)
		set(CMAKE_SHARED_LIBRARY_PREFIX "")	# DLLs do not have a "lib" prefix
		set(CMAKE_IMPORT_LIBRARY_PREFIX "")	# same for DLL import libs
		set(CMAKE_LINK_DEF_FILE_FLAG "")	# CMake workaround (2.8.3)
	endif()

	### Project stuff
	if(NOT CMAKE_CONFIGURATION_TYPES AND NOT CMAKE_BUILD_TYPE)
		set(CMAKE_BUILD_TYPE Release)
	endif()
	#
	set(CMAKE_CXX_FLAGS_RELEASE "-O2")
	set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "-O2 -g")
	set(CMAKE_CXX_FLAGS_DEBUG "-g")
	set(CMAKE_CXX_FLAGS_MINSIZEREL "-Os")
	#
	set(GCC_EXTRA_OPTIONS "")
	#
	set(FLAG_TESTED "-Wextra")
	check_cxx_compiler_flag(${FLAG_TESTED} FLAG_WEXTRA)
	if(FLAG_WEXTRA)
		set(GCC_EXTRA_OPTIONS "${GCC_EXTRA_OPTIONS} ${FLAG_TESTED}")
	endif()
	#
	set(CMAKE_CXX_FLAGS "-Wall ${GCC_EXTRA_OPTIONS} -pedantic -Wno-long-long ${CMAKE_CXX_FLAGS}")
	#
	add_custom_target(debuggable $(MAKE) clean
		COMMAND ${CMAKE_COMMAND} -DCMAKE_BUILD_TYPE=Debug ${CMAKE_SOURCE_DIR}
		COMMENT "Adjusting settings for debug compilation"
		VERBATIM)
	add_custom_target(releasable $(MAKE) clean
		COMMAND ${CMAKE_COMMAND} -DCMAKE_BUILD_TYPE=Release ${CMAKE_SOURCE_DIR}
		COMMENT "Adjusting settings for release compilation"
		VERBATIM)
endif()

# Microsoft VisualC++ specialities
if(MSVC)
	### General stuff
	# a) Change MSVC runtime library settings (/MD[d], /MT[d], /ML[d] (single-threaded until VS 2003))
	#    plus set lib suffix for later use and project label accordingly
	# see http://msdn.microsoft.com/en-us/library/aa278396(v=VS.60).aspx
	#     http://msdn.microsoft.com/en-us/library/2kzt1wy3(v=VS.71).aspx
	set(LIB_RT_SUFFIX "md")	# CMake defaults to /MD for MSVC
	set(LIB_RT_OPTION "/MD")
	#
	if(NOT MSVC_SHARED_RT)	# User wants to have static runtime libraries (/MT, /ML)
		if(MSVC_STHREADED_RT)	# User wants to have old single-threaded static runtime libraries
			set(LIB_RT_SUFFIX "ml")
			set(LIB_RT_OPTION "/ML")
			if(NOT ${MSVC_VERSION} LESS 1400)
				message(FATAL_ERROR "Single-threaded static runtime libraries (/ML) only available until VS .NET 2003 (7.1).")
			endif()
		else()
			set(LIB_RT_SUFFIX "mt")
			set(LIB_RT_OPTION "/MT")
		endif()

		# correct linker options
		foreach(flag_var  CMAKE_C_FLAGS  CMAKE_CXX_FLAGS)
			foreach(config_name  ""  DEBUG  RELEASE  MINSIZEREL  RELWITHDEBINFO)
				set(var_name "${flag_var}")
				if(NOT "${config_name}" STREQUAL "")
					set(var_name "${var_name}_${config_name}")
				endif()
				string(REPLACE "/MD" "${LIB_RT_OPTION}" ${var_name} "${${var_name}}")
			endforeach()
		endforeach()
	endif()
	#
	set(LABEL_SUFFIX "${LABEL_SUFFIX} ${LIB_RT_SUFFIX}")

	# b) Change prefix for static libraries
	set(CMAKE_STATIC_LIBRARY_PREFIX "lib")	# to distinguish static libraries from DLL import libs

	# c) Correct suffixes for static libraries
	if(NOT BUILD_SHARED_LIBS)
		### General stuff
		set(LIB_TARGET_SUFFIX "${LIB_SUFFIX}${LIB_RT_SUFFIX}")
	endif()

	### Project stuff
	# /W3 = set warning level; see http://msdn.microsoft.com/en-us/library/thxezb7y.aspx
	# /wd4127 = disable warning C4127 "conditional expression is constant"; see http://msdn.microsoft.com/en-us/library/6t66728h.aspx
	# /wd4355 = disable warning C4355 "'this' : used in base member initializer list"; http://msdn.microsoft.com/en-us/library/3c594ae3.aspx
	set(CMAKE_CXX_FLAGS "/W3 /wd4127 /wd4355 /D_SCL_SECURE_NO_WARNINGS ${CMAKE_CXX_FLAGS}")
endif()


###
### General install settings
###
if(WIN32)
	set(_library_dir bin)	# .dll are in PATH, like executables
else()
	set(_library_dir lib)
endif()

set(INCLUDE_INSTALL_ROOT_DIR include)

set(INCLUDE_INSTALL_DIR ${INCLUDE_INSTALL_ROOT_DIR}/yaml-cpp)
set(LIB_INSTALL_DIR "${_library_dir}${LIB_SUFFIX}")

set(_INSTALL_DESTINATIONS
	RUNTIME DESTINATION bin
	LIBRARY DESTINATION ${LIB_INSTALL_DIR}
	ARCHIVE DESTINATION "lib${LIB_SUFFIX}"
)


###
### Library
###
add_library(yaml-cpp
	${sources}
	${public_headers}
	${private_headers}
	${contrib_sources}
	${contrib_public_headers}
	${contrib_private_headers}
)

set_target_properties(yaml-cpp PROPERTIES
	VERSION "${YAML_CPP_VERSION}"
	SOVERSION "${YAML_CPP_VERSION_MAJOR}.${YAML_CPP_VERSION_MINOR}"
	PROJECT_LABEL "yaml-cpp ${LABEL_SUFFIX}"
)

if(IPHONE)
	set_target_properties(yaml-cpp PROPERTIES
		XCODE_ATTRIBUTE_IPHONEOS_DEPLOYMENT_TARGET "3.0"
	)
endif()

if(MSVC)
	if(NOT BUILD_SHARED_LIBS)
		# correct library names
		set_target_properties(yaml-cpp PROPERTIES
			DEBUG_POSTFIX "${LIB_TARGET_SUFFIX}d"
			RELEASE_POSTFIX "${LIB_TARGET_SUFFIX}"
			MINSIZEREL_POSTFIX "${LIB_TARGET_SUFFIX}"
			RELWITHDEBINFO_POSTFIX "${LIB_TARGET_SUFFIX}"
		)
	endif()
endif()

install(TARGETS yaml-cpp ${_INSTALL_DESTINATIONS})
install(
	DIRECTORY ${header_directory}
	DESTINATION ${INCLUDE_INSTALL_DIR}
	FILES_MATCHING PATTERN "*.h"
)

if(UNIX)
	set(PC_FILE ${CMAKE_BINARY_DIR}/yaml-cpp.pc)
	configure_file("yaml-cpp.pc.cmake" ${PC_FILE} @ONLY)
	install(FILES ${PC_FILE} DESTINATION ${LIB_INSTALL_DIR}/pkgconfig)
endif()


###
### Extras
###
if(YAML_CPP_BUILD_TOOLS)
	add_subdirectory(test)
	add_subdirectory(util)
endif()

=== test/CMakeLists.txt ===
file(GLOB test_headers [a-z]*.h)
file(GLOB test_sources [a-z]*.cpp)
file(GLOB test_new_api_sources new-api/[a-z]*.cpp)

list(APPEND test_sources ${test_new_api_sources})

include_directories(${YAML_CPP_SOURCE_DIR}/test)

add_executable(run-tests
	${test_sources}
	${test_headers}
)
target_link_libraries(run-tests yaml-cpp)

add_test(yaml-reader-test run-tests)

=== util/CMakeLists.txt ===
add_executable(parse parse.cpp)
target_link_libraries(parse yaml-cpp)

add_executable(sandbox sandbox.cpp)
target_link_libraries(sandbox yaml-cpp)

add_executable(read read.cpp)
target_link_libraries(read yaml-cpp)

## yaml-cpp 0.2.7

=== debian/changelog ===
yaml-cpp (0.2.7-5precise) precise; urgency=high

  * autogenerated

 -- Vincent Rabaud <vrabaud@willowgarage.com>  Tue, 01 May 2012 22:03:59 -0700

=== debian/control ===
Source: yaml-cpp
Section: misc
Priority: extra
Maintainer: Vincent Rabaud <vrabaud@willowgarage.com>
Build-Depends: debhelper (>= 7.0.50~), cmake
Homepage: http://code.google.com/p/yaml-cpp/
Standards-Version: 3.9.2

Package: yaml-cpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cmake
Description: yaml-cpp is a YAML parser and emitter in C++ matching the YAML 1.2 spec.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v
export CMAKE_PREFIX_PATH="/usr"
CMAKE_FLAGS = \
	-DBUILD_SHARED_LIBS=ON \

%:
	dh  $@

override_dh_auto_configure:
	dh_auto_configure -Scmake -- \
		-DCMAKE_INSTALL_PREFIX="/usr" \
		-DCMAKE_PREFIX_PATH="/usr" \
		-DCATKIN=YES \
		$(CMAKE_FLAGS)

## yaml-cpp 0.3.0

=== debian/changelog ===
yaml-cpp (0.3.0-1) unstable; urgency=low

  * Initial release (Closes: #636985)

 -- Lifeng Sun <lifongsun@gmail.com>  Sun, 03 Jun 2012 23:48:30 +0800

=== debian/control ===
Source: yaml-cpp
Section: devel
Priority: optional
Maintainer: Lifeng Sun <lifongsun@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), cmake
Standards-Version: 3.9.3
Homepage: http://code.google.com/p/yaml-cpp/
Vcs-Svn: http://yaml-cpp.googlecode.com/svn

Package: libyaml-cpp0.3
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: YAML parser and emitter for C++
 yaml-cpp is a C++ library for parsing and emitting data in YAML 1.2, a
 human-readable data serialization format.
 .
 This package provides run-time library of yaml-cpp.

Package: libyaml-cpp-dev
Section: libdevel
Architecture: any
Depends: libyaml-cpp0.3 (= ${binary:Version}), ${misc:Depends}
Description: YAML parser and emitter for C++ - development files
 yaml-cpp is a C++ library for parsing and emitting data in YAML 1.2, a
 human-readable data serialization format.
 .
 This package provides development files of yaml-cpp.

## yaml-cpp 0.3.0-0maemo2

=== debian/changelog ===
yaml-cpp (0.3.0-0maemo2) unstable; urgency=low

  * fixed build dependeny

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Fri,  6 Apr 2012 15:52:04 -0400

yaml-cpp (0.3.0-0maemo1) unstable; urgency=low

  * Initial release

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Tue,  3 Apr 2012 07:15:56 -0400

=== debian/control ===
Source: yaml-cpp
Priority: optional
Maintainer: Holger Nahrstaedt <holgernahrstaedt@gmx.de>
Build-Depends: debhelper (>= 5), cmake, autotools-dev,quilt
Standards-Version: 3.7.2

Package: libyaml-cpp0-dev
Section: devel
Architecture: any
Depends: libyaml-cpp0 (= ${Source-Version})
Description: yaml-cpp is a YAML parser and emitter in C++ matching the YAML 1.2 spec.
XSBC-Bugtracker: mailto:holgernahrstaedt@gmx.de

Package: libyaml-cpp0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: yaml-cpp is a YAML parser and emitter in C++ matching the YAML 1.2 spec. 
XSBC-Bugtracker: mailto:holgernahrstaedt@gmx.de

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Using quilt
include /usr/share/quilt/quilt.make

# Determine Maemo version
MAEMO_VERSION:=$(shell cut -d"." -f1 /etc/maemo_version)

CFLAGS:=-Wall -g -DMAEMO -DMAEMO_VERSION=$(MAEMO_VERSION)
LDFLAGS:=-Wl,-z,defs

# Decide install prefix
ifeq ($(shell expr "$(MAEMO_VERSION)" "<" 5), 1)
	INSTALL_PREFIX=/usr/share/games
else
	INSTALL_PREFIX=/usr
endif

M4:=m4
M4DEFS:=-DMAEMO_MAJOR=$(MAEMO_VERSION) -DINSTALL_PREFIX=$(INSTALL_PREFIX)

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS+=-O0
else ifneq (,$(findstring arm,$(DEB_BUILD_GNU_TYPE)))
	CFLAGS+=-Os
	ifneq (,$(findstring vfp,$(DEB_BUILD_OPTIONS)))
		CFLAGS+=-march=armv6j -mtune=arm1136jf-s -mfpu=vfp -mfloat-abi=softfp
	endif
else # x86
	CFLAGS+=-O2
endif

BUILDDIR=$(CURDIR)/build

configure: configure-stamp
configure-stamp: $(QUILT_STAMPFN)
	dh_testdir
	
	mkdir build
	cd $(BUILDDIR) && cmake \
		-DCMAKE_INSTALL_PREFIX="$(INSTALL_PREFIX)" \
		-DCMAKE_CXX_FLAGS:STRING="$(CFLAGS)" \
		-DCMAKE_CXX_LINK_FLAGS:STRING="$(LDFLAGS)" \
		-DBUILD_SHARED_LIBS=ON \
		$(CURDIR)
	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir

	$(MAKE) -C $(BUILDDIR)

	touch $@

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	#rm -f $(CURDIR)/src/config.h
	rm -rf $(BUILDDIR)

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Put binary in prefix while installing data
	cd $(BUILDDIR); $(MAKE) DESTDIR=$(CURDIR)/debian/yaml-cpp install
	cp -a $(CURDIR)/debian/yaml-cpp/usr/lib/libyaml-cpp.so.0.3.0 $(CURDIR)/debian/libyaml-cpp0/usr/lib/
	cp -a $(CURDIR)/debian/yaml-cpp/usr/lib/libyaml-cpp.so.0.3 $(CURDIR)/debian/libyaml-cpp0/usr/lib

	cp -a $(CURDIR)/debian/yaml-cpp/usr/include $(CURDIR)/debian/libyaml-cpp0-dev/usr
	cp  $(CURDIR)/debian/yaml-cpp/usr/lib/libyaml-cpp.so $(CURDIR)/debian/libyaml-cpp0-dev/usr/lib
	cp -a $(CURDIR)/debian/yaml-cpp/usr/lib/pkgconfig $(CURDIR)/debian/libyaml-cpp0-dev/usr/lib

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	maemo-optify
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## yaml-cpp 0.5.1

=== debian/changelog ===
yaml-cpp (0.5.1-1) unstable; urgency=low

  * New upstream release. (Closes: #706708)
  * Bump Standards-Version to 3.9.4.
  * libyaml-cpp-dev: remove multiarch path in yaml-cpp.pc to make
    lintian happy.
  * debian/copyright: new Format URI.
  * debian/control: remove Vcs-Svn field.

 -- Lifeng Sun <lifongsun@gmail.com>  Fri, 30 Aug 2013 18:29:05 +0800

=== debian/control ===
Source: yaml-cpp
Section: devel
Priority: optional
Maintainer: Lifeng Sun <lifongsun@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), cmake, libboost-dev
Standards-Version: 3.9.4
Homepage: http://code.google.com/p/yaml-cpp/

Package: libyaml-cpp0.5
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: YAML parser and emitter for C++
 yaml-cpp is a C++ library for parsing and emitting data in YAML 1.2, a
 human-readable data serialization format.
 .
 This package provides run-time library of yaml-cpp.

Package: libyaml-cpp-dev
Section: libdevel
Architecture: any
Depends: libyaml-cpp0.5 (= ${binary:Version}), ${misc:Depends}
Description: YAML parser and emitter for C++ - development files
 yaml-cpp is a C++ library for parsing and emitting data in YAML 1.2, a
 human-readable data serialization format.
 .
 This package provides development files of yaml-cpp.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

CPPFLAGS :=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS   :=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS :=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS  :=$(shell dpkg-buildflags --get LDFLAGS)

export DEB_HOST_MULTIARCH CPPFLAGS CFLAGS CXXFLAGS LDFLAGS

override_dh_auto_configure:
	dh_testdir
	mkdir build-static; cd build-static; \
		cmake .. -DCMAKE_INSTALL_PREFIX=/usr
	mkdir build-shared; cd build-shared; \
		cmake .. -DCMAKE_INSTALL_PREFIX=/usr -DBUILD_SHARED_LIBS=ON

override_dh_auto_build:
	dh_testdir
	$(MAKE) -C build-static
	$(MAKE) -C build-shared

override_dh_auto_install:
	dh_testdir
	dh_prep
	$(MAKE) -C build-static install DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) -C build-shared install DESTDIR=$(CURDIR)/debian/tmp
	mkdir debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	mv debian/tmp/usr/lib/lib* debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/

clean:
	dh_testdir
	dh_auto_clean
	dh_clean
	rm -rf build-static build-shared

%:
	dh $@

.PHONY: clean

=== debian/watch ===
version=3
http://code.google.com/p/yaml-cpp/downloads/list .*yaml-cpp-([0-9].*)\.tar\.gz

## yaml-cpp 0.5.1-0maemo1

=== debian/changelog ===
yaml-cpp (0.5.1-0maemo1) unstable; urgency=low

  * new version

 -- Siim Salonen <siim.salonen@gmail.com>  Wed, 17 Sep 2014 16:01:45 +0300

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Using quilt
include /usr/share/quilt/quilt.make

# Determine Maemo version
MAEMO_VERSION:=$(shell cut -d"." -f1 /etc/maemo_version)

CFLAGS:=-Wall -g -DMAEMO -DMAEMO_VERSION=$(MAEMO_VERSION)
LDFLAGS:=-Wl,-z,defs

# Decide install prefix
ifeq ($(shell expr "$(MAEMO_VERSION)" "<" 5), 1)
	INSTALL_PREFIX=/usr/share/games
else
	INSTALL_PREFIX=/usr
endif

M4:=m4
M4DEFS:=-DMAEMO_MAJOR=$(MAEMO_VERSION) -DINSTALL_PREFIX=$(INSTALL_PREFIX)

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS+=-O0
else ifneq (,$(findstring arm,$(DEB_BUILD_GNU_TYPE)))
	CFLAGS+=-Os
	ifneq (,$(findstring vfp,$(DEB_BUILD_OPTIONS)))
		CFLAGS+=-march=armv6j -mtune=arm1136jf-s -mfpu=vfp -mfloat-abi=softfp
	endif
else # x86
	CFLAGS+=-O2
endif

BUILDDIR=$(CURDIR)/build

configure: configure-stamp
configure-stamp: $(QUILT_STAMPFN)
	dh_testdir
	
	mkdir build
	cd $(BUILDDIR) && cmake \
		-DCMAKE_INSTALL_PREFIX="$(INSTALL_PREFIX)" \
		-DCMAKE_CXX_FLAGS:STRING="$(CFLAGS)" \
		-DCMAKE_CXX_LINK_FLAGS:STRING="$(LDFLAGS)" \
		-DBUILD_SHARED_LIBS=ON \
		$(CURDIR)
	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir

	$(MAKE) -C $(BUILDDIR)

	touch $@

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	#rm -f $(CURDIR)/src/config.h
	rm -rf $(BUILDDIR)

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Put binary in prefix while installing data
	cd $(BUILDDIR); $(MAKE) DESTDIR=$(CURDIR)/debian/yaml-cpp install
	cp -a $(CURDIR)/debian/yaml-cpp/usr/lib/libyaml-cpp.so.0.5.1 $(CURDIR)/debian/libyaml-cpp0/usr/lib/
	cp -a $(CURDIR)/debian/yaml-cpp/usr/lib/libyaml-cpp.so.0.5 $(CURDIR)/debian/libyaml-cpp0/usr/lib/
	cp -a $(CURDIR)/debian/yaml-cpp/usr/lib/libyaml-cpp.so $(CURDIR)/debian/libyaml-cpp0/usr/lib/
#	cp -a $(CURDIR)/debian/yaml-cpp/usr/lib/libyaml-cpp.so.0.5.1 $(CURDIR)/debian/libyaml-cpp0/usr/lib

	cp -a $(CURDIR)/debian/yaml-cpp/usr/include $(CURDIR)/debian/libyaml-cpp0-dev/usr
	cp  $(CURDIR)/debian/yaml-cpp/usr/lib/libyaml-cpp.so $(CURDIR)/debian/libyaml-cpp0-dev/usr/lib
	cp -a $(CURDIR)/debian/yaml-cpp/usr/lib/pkgconfig $(CURDIR)/debian/libyaml-cpp0-dev/usr/lib

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	maemo-optify
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## yaml-cpp 0.5.1-0maemo2

=== debian/changelog ===
yaml-cpp (0.5.1-0maemo2) unstable; urgency=low

  * removed libyaml-cpp.so from dev

 -- Siim Salonen <siim.salonen@gmail.com>  Wed, 15 Oct 2014 15:50:23 +0300

=== debian/rules ===
--- 
+++ 
@@ -83,10 +83,8 @@
 	cp -a $(CURDIR)/debian/yaml-cpp/usr/lib/libyaml-cpp.so.0.5.1 $(CURDIR)/debian/libyaml-cpp0/usr/lib/
 	cp -a $(CURDIR)/debian/yaml-cpp/usr/lib/libyaml-cpp.so.0.5 $(CURDIR)/debian/libyaml-cpp0/usr/lib/
 	cp -a $(CURDIR)/debian/yaml-cpp/usr/lib/libyaml-cpp.so $(CURDIR)/debian/libyaml-cpp0/usr/lib/
-#	cp -a $(CURDIR)/debian/yaml-cpp/usr/lib/libyaml-cpp.so.0.5.1 $(CURDIR)/debian/libyaml-cpp0/usr/lib
 
 	cp -a $(CURDIR)/debian/yaml-cpp/usr/include $(CURDIR)/debian/libyaml-cpp0-dev/usr
-	cp  $(CURDIR)/debian/yaml-cpp/usr/lib/libyaml-cpp.so $(CURDIR)/debian/libyaml-cpp0-dev/usr/lib
 	cp -a $(CURDIR)/debian/yaml-cpp/usr/lib/pkgconfig $(CURDIR)/debian/libyaml-cpp0-dev/usr/lib
 
 # Build architecture-independent files here.

## yaml-cpp 0.5.1-0maemo3

=== debian/changelog ===
yaml-cpp (0.5.1-0maemo3) unstable; urgency=low

  * shlibs added

 -- Siim Salonen <siim.salonen@gmail.com>  Tue, 21 Oct 2014 14:11:24 +0300

=== debian/rules ===
--- 
+++ 
@@ -103,6 +103,7 @@
 	dh_strip
 	dh_compress
 	dh_fixperms
+	dh_makeshlibs
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol

## yaml-cpp 0.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -23,7 +23,7 @@
 
 set(YAML_CPP_VERSION_MAJOR "0")
 set(YAML_CPP_VERSION_MINOR "5")
-set(YAML_CPP_VERSION_PATCH "1")
+set(YAML_CPP_VERSION_PATCH "2")
 set(YAML_CPP_VERSION "${YAML_CPP_VERSION_MAJOR}.${YAML_CPP_VERSION_MINOR}.${YAML_CPP_VERSION_PATCH}")
 
 enable_testing()
@@ -54,6 +54,29 @@
 ###
 ### Sources, headers, directories and libs
 ###
+
+# From http://www.cmake.org/pipermail/cmake/2010-March/035992.html:
+# function to collect all the sources from sub-directories
+# into a single list
+function(add_sources)
+  get_property(is_defined GLOBAL PROPERTY SRCS_LIST DEFINED)
+  if(NOT is_defined)
+    define_property(GLOBAL PROPERTY SRCS_LIST
+      BRIEF_DOCS "List of source files"
+      FULL_DOCS "List of all source files in the entire project")
+  endif()
+  # make absolute paths
+  set(SRCS)
+  foreach(s IN LISTS ARGN)
+    if(NOT IS_ABSOLUTE "${s}")
+      get_filename_component(s "${s}" ABSOLUTE)
+    endif()
+    list(APPEND SRCS "${s}")
+  endforeach()
+  # append to global list
+  set_property(GLOBAL APPEND PROPERTY SRCS_LIST "${SRCS}")
+endfunction(add_sources)
+
 set(header_directory "include/yaml-cpp/")
 
 file(GLOB sources "src/[a-zA-Z]*.cpp")
@@ -67,6 +90,16 @@
 else()
 	add_definitions(-DYAML_CPP_NO_CONTRIB)
 endif()
+
+set(library_sources
+  ${sources}
+  ${public_headers}
+  ${private_headers}
+  ${contrib_sources}
+  ${contrib_public_headers}
+  ${contrib_private_headers}
+)
+add_sources(${library_sources})
 
 if(VERBOSE)
 	message(STATUS "sources: ${sources}")
@@ -87,6 +120,9 @@
 ###
 ### General compilation settings
 ###
+set(yaml_c_flags ${CMAKE_C_FLAGS})
+set(yaml_cxx_flags ${CMAKE_CXX_FLAGS})
+
 if(BUILD_SHARED_LIBS)
 	set(LABEL_SUFFIX "shared")
 else()
@@ -113,8 +149,9 @@
 	endif()
 endif()
 
-# GCC specialities
-if(CMAKE_COMPILER_IS_GNUCXX)
+# GCC or Clang specialities
+if("${CMAKE_CXX_COMPILER_ID}" MATCHES "GNU" OR
+   "${CMAKE_CXX_COMPILER_ID}" MATCHES "Clang")
 	### General stuff
 	if(WIN32)
 		set(CMAKE_SHARED_LIBRARY_PREFIX "")	# DLLs do not have a "lib" prefix
@@ -140,16 +177,19 @@
 		set(GCC_EXTRA_OPTIONS "${GCC_EXTRA_OPTIONS} ${FLAG_TESTED}")
 	endif()
 	#
-	set(CMAKE_CXX_FLAGS "-Wall ${GCC_EXTRA_OPTIONS} -pedantic -Wno-long-long ${CMAKE_CXX_FLAGS}")
-	#
-	add_custom_target(debuggable $(MAKE) clean
-		COMMAND ${CMAKE_COMMAND} -DCMAKE_BUILD_TYPE=Debug ${CMAKE_SOURCE_DIR}
-		COMMENT "Adjusting settings for debug compilation"
-		VERBATIM)
-	add_custom_target(releasable $(MAKE) clean
-		COMMAND ${CMAKE_COMMAND} -DCMAKE_BUILD_TYPE=Release ${CMAKE_SOURCE_DIR}
-		COMMENT "Adjusting settings for release compilation"
-		VERBATIM)
+	set(yaml_cxx_flags "-Wall ${GCC_EXTRA_OPTIONS} -pedantic -Wno-long-long ${yaml_cxx_flags}")
+
+	### Make specific
+	if(${CMAKE_BUILD_TOOL} MATCHES make OR ${CMAKE_BUILD_TOOL} MATCHES gmake)
+		add_custom_target(debuggable $(MAKE) clean
+			COMMAND ${CMAKE_COMMAND} -DCMAKE_BUILD_TYPE=Debug ${CMAKE_SOURCE_DIR}
+			COMMENT "Adjusting settings for debug compilation"
+			VERBATIM)
+		add_custom_target(releasable $(MAKE) clean
+			COMMAND ${CMAKE_COMMAND} -DCMAKE_BUILD_TYPE=Release ${CMAKE_SOURCE_DIR}
+			COMMENT "Adjusting settings for release compilation"
+			VERBATIM)
+	endif()
 endif()
 
 # Microsoft VisualC++ specialities
@@ -175,7 +215,7 @@
 		endif()
 
 		# correct linker options
-		foreach(flag_var  CMAKE_C_FLAGS  CMAKE_CXX_FLAGS)
+		foreach(flag_var  yaml_c_flags  yaml_cxx_flags)
 			foreach(config_name  ""  DEBUG  RELEASE  MINSIZEREL  RELWITHDEBINFO)
 				set(var_name "${flag_var}")
 				if(NOT "${config_name}" STREQUAL "")
@@ -201,7 +241,7 @@
 	# /W3 = set warning level; see http://msdn.microsoft.com/en-us/library/thxezb7y.aspx
 	# /wd4127 = disable warning C4127 "conditional expression is constant"; see http://msdn.microsoft.com/en-us/library/6t66728h.aspx
 	# /wd4355 = disable warning C4355 "'this' : used in base member initializer list"; http://msdn.microsoft.com/en-us/library/3c594ae3.aspx
-	set(CMAKE_CXX_FLAGS "/W3 /wd4127 /wd4355 /D_SCL_SECURE_NO_WARNINGS ${CMAKE_CXX_FLAGS}")
+	set(yaml_cxx_flags "/W3 /wd4127 /wd4355 ${yaml_cxx_flags}")
 endif()
 
 
@@ -229,13 +269,9 @@
 ###
 ### Library
 ###
-add_library(yaml-cpp
-	${sources}
-	${public_headers}
-	${private_headers}
-	${contrib_sources}
-	${contrib_public_headers}
-	${contrib_private_headers}
+add_library(yaml-cpp ${library_sources})
+set_target_properties(yaml-cpp PROPERTIES
+  COMPILE_FLAGS "${yaml_c_flags} ${yaml_cxx_flags}"
 )
 
 set_target_properties(yaml-cpp PROPERTIES
@@ -269,6 +305,18 @@
 	FILES_MATCHING PATTERN "*.h"
 )
 
+export(
+    TARGETS yaml-cpp
+    FILE "${PROJECT_BINARY_DIR}/yaml-cpp-targets.cmake")
+export(PACKAGE yaml-cpp)
+set(EXPORT_TARGETS yaml-cpp CACHE INTERNAL "export targets")
+
+set(CONFIG_INCLUDE_DIRS "${YAML_CPP_SOURCE_DIR}/include")
+configure_file(${CMAKE_CURRENT_SOURCE_DIR}/yaml-cpp-config.cmake.in
+	"${PROJECT_BINARY_DIR}/yaml-cpp-config.cmake" @ONLY)
+configure_file(${CMAKE_CURRENT_SOURCE_DIR}/yaml-cpp-config-version.cmake.in
+	"${PROJECT_BINARY_DIR}/yaml-cpp-config-version.cmake" @ONLY)
+
 if(UNIX)
 	set(PC_FILE ${CMAKE_BINARY_DIR}/yaml-cpp.pc)
 	configure_file("yaml-cpp.pc.cmake" ${PC_FILE} @ONLY)
@@ -283,3 +331,10 @@
 	add_subdirectory(test)
 	add_subdirectory(util)
 endif()
+
+### Formatting
+get_property(all_sources GLOBAL PROPERTY SRCS_LIST)
+add_custom_target(format
+	COMMAND clang-format --style=file -i ${all_sources}
+	COMMENT "Running clang-format"
+	VERBATIM)

=== test/CMakeLists.txt ===
set(gtest_force_shared_crt ${MSVC_SHARED_RT} CACHE BOOL
  "Use shared (DLL) run-time lib even when Google Test built as a static lib.")
add_subdirectory(gmock-1.7.0)
include_directories(SYSTEM gmock-1.7.0/gtest/include)
include_directories(SYSTEM gmock-1.7.0/include)

if(WIN32 AND BUILD_SHARED_LIBS)
  add_definitions("-DGTEST_LINKED_AS_SHARED_LIBRARY")
endif()

if("${CMAKE_CXX_COMPILER_ID}" MATCHES "GNU" OR
   "${CMAKE_CXX_COMPILER_ID}" MATCHES "Clang")
  set(yaml_test_flags "-Wno-c99-extensions -Wno-variadic-macros -Wno-sign-compare")
endif()

file(GLOB test_headers [a-z_]*.h)
file(GLOB test_sources [a-z_]*.cpp integration/[a-z_]*.cpp node/[a-z_]*.cpp)
file(GLOB test_new_api_sources new-api/[a-z]*.cpp)

list(APPEND test_sources ${test_new_api_sources})
add_sources(${test_sources} ${test_headers})

include_directories(${YAML_CPP_SOURCE_DIR}/test)

add_executable(run-tests
	${test_sources}
	${test_headers}
)
set_target_properties(run-tests PROPERTIES
  COMPILE_FLAGS "${yaml_c_flags} ${yaml_cxx_flags} ${yaml_test_flags}"
)
target_link_libraries(run-tests yaml-cpp gmock)

add_test(yaml-test ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/run-tests)

=== util/CMakeLists.txt ===
add_sources(parse.cpp)
add_executable(parse parse.cpp)
target_link_libraries(parse yaml-cpp)

add_sources(sandbox.cpp)
add_executable(sandbox sandbox.cpp)
target_link_libraries(sandbox yaml-cpp)

add_sources(read.cpp)
add_executable(read read.cpp)
target_link_libraries(read yaml-cpp)

=== debian/changelog ===
yaml-cpp (0.5.2-4ubuntu1) zesty; urgency=medium

  * debian/patches/303.patch:
    fix build failures when using yaml-cpp
    (upstream pull request 303)
    - see debian bug #847099)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 21 Mar 2017 13:02:56 +0100

yaml-cpp (0.5.2-4) unstable; urgency=medium

  * Make the build reproducible (Closes: #808714)
  * Add libboost-dev dependency (Closes: #812851)
  * Fix yaml-cpp 0.5.2 issue (Closes: #814499)
  * Fix lintian warnings: spelling, standards-version, and Vcs-Git

 -- Paul Novotny <paul@paulnovo.us>  Wed, 12 Oct 2016 19:48:11 -0400

yaml-cpp (0.5.2-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Work around bug in googletest causing segfault with gcc-6.
    (Closes: #812284)

 -- Christian Hofstaedtler <zeha@debian.org>  Sat, 02 Jul 2016 13:27:16 +0200

yaml-cpp (0.5.2-3) unstable; urgency=medium

  * Fix error in yaml-cpp-config.cmake
  * Disable gtest's use of pthread on hurd and kfreebsd

 -- Paul Novotny <paul@paulnovo.us>  Mon, 30 Nov 2015 16:53:57 -0500

yaml-cpp (0.5.2-2) unstable; urgency=medium

  * Rename libyaml-cpp0.5 to libyaml-cpp0.5v5 for gcc5 transition
    (Closes: #791317)

 -- Paul Novotny <paul@paulnovo.us>  Tue, 04 Aug 2015 18:03:35 -0400

yaml-cpp (0.5.2-1) unstable; urgency=medium

  * Update due to yaml-cpp from Google Code to GitHub
  * Imported Upstream version 0.5.2
  * Remove patches/fix-unit-test.patch, applied upstream
  * Remove patches/remove-conflicting-google-libs.patch, applied upstream

 -- Paul Novotny <paul@paulnovo.us>  Thu, 23 Apr 2015 16:40:20 -0400

yaml-cpp (0.5.1+hg20150210-1) experimental; urgency=medium

  [ Andreas Tille ]
  * Import latest upstream
  * Fix failing unit tests
  * Inject package into collab-maint to enable more people contributing
  * cme fix dpkg-control
  * debhelper 9
  
  [ Paul Novotny ]
  * Add myself as Uploader
  * Import latest upstream VCS status
  * Fix failing unit tests, update version number
  * Install cmake development files

 -- Andreas Tille <tille@debian.org>  Mon, 09 Feb 2015 13:36:42 +0100

=== debian/control ===
Source: yaml-cpp
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Lifeng Sun <lifongsun@gmail.com>
Uploaders: Andreas Tille <tille@debian.org>,
           Paul Novotny <paul@paulnovo.us>
Section: devel
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake,
               libboost-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/yaml-cpp.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/yaml-cpp.git
Homepage: https://github.com/jbeder/yaml-cpp

Package: libyaml-cpp0.5v5
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Conflicts: libyaml-cpp0.5
Replaces: libyaml-cpp0.5
Description: YAML parser and emitter for C++
 yaml-cpp is a C++ library for parsing and emitting data in YAML 1.2, a
 human-readable data serialization format.
 .
 This package provides run-time library of yaml-cpp.

Package: libyaml-cpp-dev
Architecture: any
Section: libdevel
Depends: libyaml-cpp0.5v5 (= ${binary:Version}),
         libboost-dev,
         ${misc:Depends}
Description: YAML parser and emitter for C++ - development files
 yaml-cpp is a C++ library for parsing and emitting data in YAML 1.2, a
 human-readable data serialization format.
 .
 This package provides development files of yaml-cpp.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

CPPFLAGS :=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS   :=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS :=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS  :=$(shell dpkg-buildflags --get LDFLAGS)

export DEB_HOST_MULTIARCH CPPFLAGS CFLAGS CXXFLAGS LDFLAGS

ifeq (,$(filter $(DEB_BUILD_ARCH),kfreebsd-amd64 kfreebsd-i386 hurd-i386))
    DISABLE_PTHREADS=OFF
else
    DISABLE_PTHREADS=ON
endif

override_dh_auto_configure:
	dh_testdir
	mkdir build-static; cd build-static; \
		cmake .. -DCMAKE_INSTALL_PREFIX=/usr \
				 -DLIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
				 -DYAML_CPP_BUILD_TOOLS=ON \
				 -Dgtest_disable_pthreads=$(DISABLE_PTHREADS)
	mkdir build-shared; cd build-shared; \
		cmake .. -DCMAKE_INSTALL_PREFIX=/usr \
				 -DLIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
				 -DBUILD_SHARED_LIBS=ON \
				 -DYAML_CPP_BUILD_TOOLS=ON \
				 -Dgtest_disable_pthreads=$(DISABLE_PTHREADS)

override_dh_auto_build:
	dh_testdir
	$(MAKE) -C build-static
	$(MAKE) -C build-shared
	# It might make sense to also provide the utils in a separate package
	# $(MAKE) -C build-shared util

override_dh_auto_install:
	dh_testdir
	dh_prep
	$(MAKE) -C build-static install DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) -C build-shared install DESTDIR=$(CURDIR)/debian/tmp

override_dh_auto_test:
	$(MAKE) -C build-static test
	$(MAKE) -C build-shared test

clean:
	dh_testdir
	dh_auto_clean
	dh_clean
	rm -rf build-static build-shared

%:
	dh $@

.PHONY: clean

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/release-?(\d\S*)\.tar\.gz/yaml-cpp-$1\.tar\.gz/ \
  https://github.com/jbeder/yaml-cpp/releases .*/release-?(\d\S*)\.tar\.gz

## yaml-cpp 0.5.3-0maemo1

=== debian/changelog ===
yaml-cpp (0.5.3-0maemo1) unstable; urgency=low

  * new version

 -- Siim Salonen <siim.salonen@gmail.com>  Sun, 14 Aug 2016 16:48:31 +0300

=== debian/control ===
Source: yaml-cpp
Priority: optional
Maintainer: Holger Nahrstaedt <holgernahrstaedt@gmx.de>
Build-Depends: debhelper (>= 5), cmake, autotools-dev, quilt, libboost1.38-dev
Standards-Version: 3.7.2

Package: libyaml-cpp0-dev
Section: devel
Architecture: any
Depends: libyaml-cpp0 (= ${Source-Version})
Description: yaml-cpp is a YAML parser and emitter in C++ matching the YAML 1.2 spec.
XSBC-Bugtracker: mailto:holgernahrstaedt@gmx.de

Package: libyaml-cpp0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: yaml-cpp is a YAML parser and emitter in C++ matching the YAML 1.2 spec. 
XSBC-Bugtracker: mailto:holgernahrstaedt@gmx.de

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Using quilt
include /usr/share/quilt/quilt.make

# Determine Maemo version
MAEMO_VERSION:=$(shell cut -d"." -f1 /etc/maemo_version)

CFLAGS:=-Wall -g -DMAEMO -DMAEMO_VERSION=$(MAEMO_VERSION)
LDFLAGS:=-Wl,-z,defs

# Decide install prefix
ifeq ($(shell expr "$(MAEMO_VERSION)" "<" 5), 1)
	INSTALL_PREFIX=/usr/share/games
else
	INSTALL_PREFIX=/usr
endif

M4:=m4
M4DEFS:=-DMAEMO_MAJOR=$(MAEMO_VERSION) -DINSTALL_PREFIX=$(INSTALL_PREFIX)

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS+=-O0
else ifneq (,$(findstring arm,$(DEB_BUILD_GNU_TYPE)))
	CFLAGS+=-Os
	ifneq (,$(findstring vfp,$(DEB_BUILD_OPTIONS)))
		CFLAGS+=-march=armv6j -mtune=arm1136jf-s -mfpu=vfp -mfloat-abi=softfp
	endif
else # x86
	CFLAGS+=-O2
endif

BUILDDIR=$(CURDIR)/build

configure: configure-stamp
configure-stamp: $(QUILT_STAMPFN)
	dh_testdir
	
	mkdir build
	cd $(BUILDDIR) && cmake \
		-DCMAKE_INSTALL_PREFIX="$(INSTALL_PREFIX)" \
		-DCMAKE_CXX_FLAGS:STRING="$(CFLAGS)" \
		-DCMAKE_CXX_LINK_FLAGS:STRING="$(LDFLAGS)" \
		-DBUILD_SHARED_LIBS=ON \
		$(CURDIR)
	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir

	$(MAKE) -C $(BUILDDIR)

	touch $@

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	#rm -f $(CURDIR)/src/config.h
	rm -rf $(BUILDDIR)

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Put binary in prefix while installing data
	cd $(BUILDDIR); $(MAKE) DESTDIR=$(CURDIR)/debian/yaml-cpp install
	cp -a $(CURDIR)/debian/yaml-cpp/usr/lib/libyaml-cpp.so.0.5.3 $(CURDIR)/debian/libyaml-cpp0/usr/lib/
	cp -a $(CURDIR)/debian/yaml-cpp/usr/lib/libyaml-cpp.so.0.5 $(CURDIR)/debian/libyaml-cpp0/usr/lib/
	cp -a $(CURDIR)/debian/yaml-cpp/usr/lib/libyaml-cpp.so $(CURDIR)/debian/libyaml-cpp0/usr/lib/

	cp -a $(CURDIR)/debian/yaml-cpp/usr/include $(CURDIR)/debian/libyaml-cpp0-dev/usr
	cp -a $(CURDIR)/debian/yaml-cpp/usr/lib/pkgconfig $(CURDIR)/debian/libyaml-cpp0-dev/usr/lib

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	maemo-optify
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## yaml-cpp 0.5.3-0maemo2

=== debian/changelog ===
yaml-cpp (0.5.3-0maemo2) unstable; urgency=low

  * 0.5.3 was broken. revert to 0.5.1

 -- Siim Salonen <siim.salonen@gmail.com>  Tue, 16 Aug 2016 13:44:40 +0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: yaml-cpp
 Priority: optional
 Maintainer: Holger Nahrstaedt <holgernahrstaedt@gmx.de>
-Build-Depends: debhelper (>= 5), cmake, autotools-dev, quilt, libboost1.38-dev
+Build-Depends: debhelper (>= 5), cmake, autotools-dev, quilt, libboost1.38-dev | libboost1.53-dev
 Standards-Version: 3.7.2
 
 Package: libyaml-cpp0-dev

=== debian/rules ===
--- 
+++ 
@@ -67,7 +67,6 @@
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp configure-stamp
-	#rm -f $(CURDIR)/src/config.h
 	rm -rf $(BUILDDIR)
 
 	dh_clean 
@@ -76,16 +75,10 @@
 	dh_testdir
 	dh_testroot
 	dh_clean -k 
-	dh_installdirs
+#	dh_installdirs
 
 	# Put binary in prefix while installing data
-	cd $(BUILDDIR); $(MAKE) DESTDIR=$(CURDIR)/debian/yaml-cpp install
-	cp -a $(CURDIR)/debian/yaml-cpp/usr/lib/libyaml-cpp.so.0.5.3 $(CURDIR)/debian/libyaml-cpp0/usr/lib/
-	cp -a $(CURDIR)/debian/yaml-cpp/usr/lib/libyaml-cpp.so.0.5 $(CURDIR)/debian/libyaml-cpp0/usr/lib/
-	cp -a $(CURDIR)/debian/yaml-cpp/usr/lib/libyaml-cpp.so $(CURDIR)/debian/libyaml-cpp0/usr/lib/
-
-	cp -a $(CURDIR)/debian/yaml-cpp/usr/include $(CURDIR)/debian/libyaml-cpp0-dev/usr
-	cp -a $(CURDIR)/debian/yaml-cpp/usr/lib/pkgconfig $(CURDIR)/debian/libyaml-cpp0-dev/usr/lib
+	$(MAKE) -C $(BUILDDIR) DESTDIR=$(CURDIR)/debian/libyaml install
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -97,8 +90,7 @@
 	dh_testroot
 	dh_installchangelogs 
 	dh_installdocs
-	dh_installexamples
-	dh_installman
+	dh_install
 	dh_link
 	dh_strip
 	dh_compress

## yaml-cpp 0.6.2

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -1,16 +1,26 @@
 set(gtest_force_shared_crt ${MSVC_SHARED_RT} CACHE BOOL
   "Use shared (DLL) run-time lib even when Google Test built as a static lib.")
-add_subdirectory(gmock-1.7.0)
-include_directories(SYSTEM gmock-1.7.0/gtest/include)
-include_directories(SYSTEM gmock-1.7.0/include)
+add_subdirectory(gtest-1.8.0)
+include_directories(SYSTEM gtest-1.8.0/googlemock/include)
+include_directories(SYSTEM gtest-1.8.0/googletest/include)
 
 if(WIN32 AND BUILD_SHARED_LIBS)
   add_definitions("-DGTEST_LINKED_AS_SHARED_LIBRARY")
 endif()
 
-if("${CMAKE_CXX_COMPILER_ID}" MATCHES "GNU" OR
-   "${CMAKE_CXX_COMPILER_ID}" MATCHES "Clang")
-  set(yaml_test_flags "-Wno-c99-extensions -Wno-variadic-macros -Wno-sign-compare")
+if(CMAKE_CXX_COMPILER_ID MATCHES "GNU" OR
+   CMAKE_CXX_COMPILER_ID MATCHES "Clang")
+  set(yaml_test_flags "-Wno-variadic-macros -Wno-sign-compare")
+
+  if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
+    set(yaml_test_flags "${yaml_test_flags} -Wno-c99-extensions")
+  endif()
+
+  if(CMAKE_COMPILER_IS_GNUCXX)
+    set(yaml_test_flags "${yaml_test_flags} -std=gnu++11")
+  else()
+    set(yaml_test_flags "${yaml_test_flags} -std=c++11")
+  endif()
 endif()
 
 file(GLOB test_headers [a-z_]*.h)

=== debian/changelog ===
yaml-cpp (0.6.2-4ubuntu1) focal; urgency=medium

  * d/patches/fix-CVE-2017-11692.patch:
    - Cherry-pick upstream fix for DoS crash on invalid input.
      (Upstream bug: https://github.com/jbeder/yaml-cpp/issues/519)
  * d/patches/fix-unbounded-recursion-depth.patch:
    - Cherry-pick upstream pull request
      (https://github.com/jbeder/yaml-cpp/pull/807) fixing multiple CVEs
      (CVE-2017-5950, CVE-2018-20573, CVE-2018-20574, CVE-2019-6285)

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Tue, 17 Mar 2020 18:03:25 +1100

yaml-cpp (0.6.2-4fakesync1) disco-proposed; urgency=medium

  * Fake sync due to mismatching orig tarball.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 12 Jan 2019 15:35:43 -0600

yaml-cpp (0.6.2-4) unstable; urgency=medium

  * Upload to Sid.

 -- Simon Quigley <tsimonq2@debian.org>  Mon, 07 Jan 2019 16:00:33 -0600

yaml-cpp (0.6.2-3) experimental; urgency=medium

  * Update symbols from build logs.

 -- Simon Quigley <tsimonq2@debian.org>  Sat, 05 Jan 2019 17:27:47 -0600

yaml-cpp (0.6.2-2) experimental; urgency=medium

  [ Christopher James Halse Rogers ]
  * d/libyaml-cpp0.6.symbols:
    - Add symbols file now that only public symbols are exported
  * d/libyaml-cpp-dev.install:
    - Don't install gtest/gmock headers (Closes: #915575)

  [ Simon Quigley ]
  * Change my email to tsimonq2@debian.org now that I am a Debian Developer.
  * Bump Standards-version to 4.3.0, no changes needed.

 -- Simon Quigley <tsimonq2@debian.org>  Sun, 23 Dec 2018 22:25:40 -0600

yaml-cpp (0.6.2-1) experimental; urgency=medium

  [ Andreas Tille ]
  * New upstream version
  * debhelper 11
  * Standards-Version: 4.2.0
  * Point Vcs-fields to Salsa
  * Fix watch file

  [ Graham Inggs ]
  * Drop patches no longer needed
  * Drop dependencies on libboost-dev, no longer needed
  * Rename binary package for libyaml-cpp0.6 transition

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces

  [ Christopher James Halse Rogers ]
  * patches/symbol-visibility.patch: Hide non-public-API symbols.
    - Cuts down the number of exported symbols by over half, and makes
      it more feasible to use a .symbols file
  * d/rules: Use VERBOSE make.
    - Lets the hardening buildlog scanning check that the appropriate
      flags have been passed, and makes it easier to debug build
      failures.

  [ Simon Quigley ]
  * Take over maintainership of the package (Closes: #914853).
  * Depend on debhelper 11.
  * Run wrap-and-sort.
  * Bump Standards-version to 4.2.1.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 27 Nov 2018 18:23:07 -0600

=== debian/control ===
Source: yaml-cpp
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Simon Quigley <tsimonq2@debian.org>
Section: devel
Priority: optional
Build-Depends: cmake, debhelper (>= 11)
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/debian/yaml-cpp
Vcs-Git: https://salsa.debian.org/debian/yaml-cpp.git
Homepage: https://github.com/jbeder/yaml-cpp

Package: libyaml-cpp0.6
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: YAML parser and emitter for C++
 yaml-cpp is a C++ library for parsing and emitting data in YAML 1.2, a
 human-readable data serialization format.
 .
 This package provides run-time library of yaml-cpp.

Package: libyaml-cpp-dev
Architecture: any
Section: libdevel
Depends: libyaml-cpp0.6 (= ${binary:Version}), ${misc:Depends}
Description: YAML parser and emitter for C++ - development files
 yaml-cpp is a C++ library for parsing and emitting data in YAML 1.2, a
 human-readable data serialization format.
 .
 This package provides development files of yaml-cpp.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

CPPFLAGS :=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS   :=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS :=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS  :=$(shell dpkg-buildflags --get LDFLAGS)

export DEB_HOST_MULTIARCH CPPFLAGS CFLAGS CXXFLAGS LDFLAGS

ifeq (,$(filter $(DEB_BUILD_ARCH),kfreebsd-amd64 kfreebsd-i386 hurd-i386))
    DISABLE_PTHREADS=OFF
else
    DISABLE_PTHREADS=ON
endif

override_dh_auto_configure:
	dh_testdir
	mkdir build-static; cd build-static; \
		cmake .. -DCMAKE_INSTALL_PREFIX=/usr \
				 -DLIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
				 -DYAML_CPP_BUILD_TOOLS=ON \
				 -Dgtest_disable_pthreads=$(DISABLE_PTHREADS)
	mkdir build-shared; cd build-shared; \
		cmake .. -DCMAKE_INSTALL_PREFIX=/usr \
				 -DLIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
				 -DBUILD_SHARED_LIBS=ON \
				 -DYAML_CPP_BUILD_TOOLS=ON \
				 -Dgtest_disable_pthreads=$(DISABLE_PTHREADS)

override_dh_auto_build:
	dh_testdir
	$(MAKE) -C build-static VERBOSE=1
	$(MAKE) -C build-shared VERBOSE=1
	# It might make sense to also provide the utils in a separate package
	# $(MAKE) -C build-shared util

override_dh_auto_install:
	dh_testdir
	dh_prep
	$(MAKE) -C build-static install DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) -C build-shared install DESTDIR=$(CURDIR)/debian/tmp

override_dh_auto_test:
	$(MAKE) -C build-static test
	$(MAKE) -C build-shared test

debian/weak-symbols: override_dh_auto_build
	# All the weak symbols are either template instantiations of the STL
	# or are optional symbols for inline functions.
	nm --dynamic --defined-only build-shared/libyaml-cpp.so | awk '$$2 ~ /W/ { print " " $$3 "@Base 0.6.2" } ' > $@

override_dh_makeshlibs: debian/weak-symbols
	dh_makeshlibs -VNone

clean:
	dh_testdir
	dh_auto_clean
	dh_clean
	rm -rf build-static build-shared

%:
	dh $@

.PHONY: clean

=== debian/watch ===
version=4

https://github.com/jbeder/yaml-cpp/releases .*/[relasymcp.-]*(\d\S*)\.tar\.gz
